<?xml version="1.0" encoding="utf-8"?>
<com.qmuiteam.qmui.widget.QMUIWindowInsetLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/qmui_config_color_white">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical">
        <!--        標題欄-->
        <com.qmuiteam.qmui.widget.QMUITopBarLayout
            android:id="@+id/main_home_bar"
            android:layout_width="match_parent"
            android:layout_height="@dimen/head_height"
            android:fitsSystemWindows="true" />
        <!--        營業額-->
        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/main_home_business_info"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/dp_20"
            android:layout_marginBottom="@dimen/dp_20"
            android:paddingLeft="@dimen/dp_18"
            android:paddingRight="@dimen/dp_18">

            <TextView
                android:id="@+id/tv_main_home_today_turnover_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/turnover_today"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_16"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <TextView
                android:id="@+id/tv_main_home_today_turnover"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_20"
                app:layout_constraintBottom_toBottomOf="@id/tv_main_home_cutoff_text"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_today_turnover_text" />

            <TextView
                android:id="@+id/tv_main_home_cutoff_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_10"
                android:text="@string/cutoff"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_12"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintTop_toBottomOf="@id/tv_main_home_today_turnover_text" />

            <TextView
                android:id="@+id/tv_main_home_cutoff_time"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_12"
                app:layout_constraintLeft_toRightOf="@id/tv_main_home_cutoff_text"
                app:layout_constraintBottom_toBottomOf="@id/tv_main_home_cutoff_text"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_cutoff_text" />

            <View
                android:id="@+id/line_main_home_turnover"
                android:layout_width="match_parent"
                android:layout_height="@dimen/dp_1"
                android:layout_marginTop="@dimen/dp_15"
                android:background="@color/line_color"
                app:layout_constraintTop_toBottomOf="@id/tv_main_home_cutoff_text" />

            <TextView
                android:id="@+id/tv_main_home_total_amount_project_text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_15"
                android:gravity="center"
                android:text="@string/total_amount_of_project"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_16"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintLeft_toLeftOf="parent"
                app:layout_constraintRight_toLeftOf="@id/tv_main_home_consumers_number_text"
                app:layout_constraintTop_toBottomOf="@id/line_main_home_turnover" />

            <TextView
                android:id="@+id/tv_main_home_consumers_number_text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/number_of_consumers"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_16"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintLeft_toRightOf="@id/tv_main_home_total_amount_project_text"
                app:layout_constraintRight_toLeftOf="@id/tv_main_home_bill_number_text"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_total_amount_project_text" />


            <TextView
                android:id="@+id/tv_main_home_bill_number_text"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/bill_number"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_16"
                app:layout_constraintHorizontal_weight="1"
                app:layout_constraintLeft_toRightOf="@id/tv_main_home_consumers_number_text"
                app:layout_constraintRight_toRightOf="parent"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_total_amount_project_text" />


            <TextView
                android:id="@+id/tv_main_home_total_amount_project"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/dp_5"
                android:text="0"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_14"
                app:layout_constraintLeft_toLeftOf="@id/tv_main_home_total_amount_project_text"
                app:layout_constraintRight_toRightOf="@id/tv_main_home_total_amount_project_text"
                app:layout_constraintTop_toBottomOf="@id/tv_main_home_total_amount_project_text" />


            <TextView
                android:id="@+id/tv_main_home_consumers_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_14"
                app:layout_constraintLeft_toLeftOf="@id/tv_main_home_consumers_number_text"
                app:layout_constraintRight_toRightOf="@id/tv_main_home_consumers_number_text"
                app:layout_constraintTop_toBottomOf="@id/tv_main_home_consumers_number_text"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_total_amount_project" />

            <TextView
                android:id="@+id/tv_main_home_bill_number"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="0"
                android:textColor="@color/normal_color"
                android:textSize="@dimen/sp_14"
                app:layout_constraintLeft_toLeftOf="@id/tv_main_home_bill_number_text"
                app:layout_constraintRight_toRightOf="@id/tv_main_home_bill_number_text"
                app:layout_constraintTop_toBottomOf="@id/tv_main_home_bill_number_text"
                app:layout_constraintTop_toTopOf="@id/tv_main_home_total_amount_project" />

        </androidx.constraintlayout.widget.ConstraintLayout>
        <!--        功能列表-->
        <com.qmuiteam.qmui.widget.section.QMUIStickySectionLayout
            android:id="@+id/section_layout"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />
    </LinearLayout>

</com.qmuiteam.qmui.widget.QMUIWindowInsetLayout>